/*
Theme Name: Talkto Builder Child Theme
Theme URI: https://www.wpbeaverbuilder.com
Version: 1.0
Description: An example child theme that can be used as a starting point for custom development.
Author: The Beaver Builder Team
Author URI: https://www.fastlinemedia.com
template: bb-theme
*/

:root {
	--talkto-form-fields-borderradius: 0;
	--talkto-form-fields-borderthickness: 1px;
	--talkto-form-fields-padding: 8px;
	--talkto-form-fields-datepicker-day-border: 1px solid #0004;
	--talkto-form-fields-datepicker-selected-day-color: #000;
	--talkto-form-fields-datepicker-selected-day-border: 2px solid #000;
	--talkto-button-borderthickness: 1px;
	--talkto-button-padding: 16px 32px;
	--talkto-button-transition: all 0.2s;
}

.fl-menu ul li.menu-item a {
	text-decoration: none;
}

/** footer **/
.footer-container .fl-row-content {
	position: relative;
}

.footer-container .footer-logo {
	position: absolute;
	right: 0;
	top: 40px;
}

.footer-container .footer-right-col {
	align-items: end;
}

/** hamburger menu **/
.talkto-hamburger-button-container {
	text-align: right;
}

.talkto-hamburger-button-container i::before {
	color: #000000;
}

/** talk to general **/
a.talkto-button,
button.talkto-button {
	background-color: transparent;
	display: inline-block;
	padding: 0px 0px;
	border-radius: 0;
	font-size: 30px;
	line-height: 20px;
	color: #000;
	border: 0 !important;
}

a.talkto-button:hover,
button.talkto-button:hover {
	color: #000 !important;
	text-decoration: none;
}

a.talkto-button:focus-visible,
button.talkto-button:focus-visible {
	outline: 2px solid #000;
	outline-offset: 0;
}

/** bb general **/
header {
	transition: top 0.2s;
}

.fl-module-menu

.fl-module-fl-post-navigation a:focus-visible {
	outline-offset: -2px !important;
}

.fl-module-box:focus-visible {
	outline-offset: 2px;
}

.fl-module-pp-advanced-accordion .pp-accordion .pp-accordion-item {
	overflow: hidden;
}

.fl-module-pp-advanced-accordion .pp-accordion .pp-accordion-item .pp-accordion-button:focus-visible {
	outline: 2px solid #000;
	outline-offset: -2px; /** higher value when using rounded corners **/
	
	-webkit-transition: none;
	-moz-transition: none;
	-o-transition: none;
	transition: none;
}

/** mega menu list **/
.talkto-megamenu-list {
	text-align: center;
}

.talkto-megamenu-list ul {
	padding-bottom: 32px;
}

.talkto-megamenu-list ul li {
	padding-left: 0 !important;
}

.talkto-megamenu-list li a {
	color: #000 !important;
	font-size: 1.6rem;
	line-height: 2.5em;
	text-decoration: none !important;
}

.talkto-megamenu-list li li a {
	font-size: 1.4rem;
	line-height: 2em;
}

.talkto-megamenu-container .talkto-megamenu-list > ul > div > li a {
	position: relative;
}

.talkto-megamenu-container .talkto-megamenu-list > ul > div > li a .toggle {
	position: absolute;
	display: inline-block;
	right: -10vw;
	transform-origin: center;
}

.talkto-megamenu-container .talkto-megamenu-list > ul > div > li a .toggle::after {
	content: "\e800";
	font-family: "talkto";
	font-weight: normal;
	font-size: 1.3rem;
}

.talkto-megamenu-container .talkto-megamenu-list > ul > div > li a.collapsed .toggle {
	transform: rotate(-90deg);
}

.talkto-megamenu-container .talkto-megamenu-list > ul > div > li a.talkto-megamenu-list-link .toggle::after {
	content: '\e807';
	font-family: "talkto";
	font-weight: normal;
	padding-left: 24px;
}

/** talkto content grids **/
.talkto-list-content-container .pp-post-filters .pp-post-filter:focus-visible {
	-webkit-transition: none;
	-moz-transition: none;
	-o-transition: none;
	transition: none;
	
	outline: 2px solid #000;
	outline-offset: 0;
}

.talkto-list-content-container .pp-content-post {
	overflow: visible;
	margin: 5px 0;
}

.talkto-list-content-container .talkto-box-link {
	padding: 0;
	position: relative;
	display: block;
	height: 100%;
	overflow: hidden;
	
	text-decoration: none !important;
	background-color: var(--fl-global-bakgrunnsfarge-1);
	
	-webkit-border-radius: 0px;
	-moz-border-radius: 0px;
	-o-border-radius: 0px;
	border-radius: 0px;
}

.talkto-list-content-container .talkto-box-link:focus-visible {
	outline: 2px solid #000;
	outline-offset: 2px;
}

.talkto-list-content-container .talkto-box-link .talkto-box {
	text-align: center;
}

.talkto-list-content-container .talkto-box-link .talkto-box.talkto-image img {
	object-fit: cover;
	height: 18vw;
	width: 100%;
}

.talkto-list-content-container .talkto-box-link .talkto-content .talkto-heading h2,
.talkto-list-content-container .talkto-box-link .talkto-content .talkto-heading h3 {
	font-size: 1rem;
	font-weight: bold;
}

.talkto-list-content-container .talkto-box-link:focus-visible .talkto-heading h2,
.talkto-list-content-container .talkto-box-link:hover .talkto-heading h2,
.talkto-list-content-container .talkto-box-link:focus-visible .talkto-heading h3,
.talkto-list-content-container .talkto-box-link:hover .talkto-heading h3 {
	text-decoration: underline;
}

.talkto-list-content-container .talkto-box-link .talkto-content .talkto-heading h2,
.talkto-list-content-container .talkto-box-link .talkto-content .talkto-heading h3,
.talkto-list-content-container .talkto-box-link .talkto-content .talkto-date,
.talkto-list-content-container .talkto-box-link .talkto-content .talkto-meta,
.talkto-list-content-container .talkto-box-link .talkto-content .talkto-terms,
.talkto-list-content-container .talkto-box-link .talkto-content .talkto-readmore,
.talkto-list-content-container .talkto-box-link .talkto-content .talkto-excerpt {
	text-align: left;
}

.talkto-list-content-container .talkto-box-link .talkto-content .talkto-heading,
.talkto-list-content-container .talkto-box-link .talkto-content .talkto-date,
.talkto-list-content-container .talkto-box-link .talkto-content .talkto-meta,
.talkto-list-content-container .talkto-box-link .talkto-content .talkto-terms,
.talkto-list-content-container .talkto-box-link .talkto-content .talkto-readmore,
.talkto-list-content-container .talkto-box-link .talkto-content .talkto-excerpt {
	padding: 0 32px;
}

.talkto-list-content-container .talkto-box-link .talkto-content .talkto-date,
.talkto-list-content-container .talkto-box-link .talkto-content .talkto-meta,
.talkto-list-content-container .talkto-box-link .talkto-content .talkto-terms,
.talkto-list-content-container .talkto-box-link .talkto-content .talkto-readmore,
.talkto-list-content-container .talkto-box-link .talkto-content .talkto-excerpt {
	margin: 0;
	padding-bottom: 16px;
}

.talkto-list-content-container .talkto-box-link .talkto-content .talkto-excerpt,
.talkto-list-content-container .talkto-box-link .talkto-content .talkto-link {
	color: #000;
}

.talkto-list-content-container .talkto-box-link .talkto-content .talkto-meta {
	list-style-type: none;
}

.talkto-list-content-container .talkto-box-link .talkto-content .talkto-terms span > span {
	display: inline-block;
	background-color: var(--fl-global-bakgrunnsfarge-2);
	font-size: 0.8rem;
	padding: 2px 8px;
	margin-right: 8px;
}

.talkto-list-content-container .talkto-box-link .talkto-content .talkto-readmore {
	text-decoration: underline;
	padding-bottom: 64px;
}

.talkto-list-content-container .talkto-box-link .talkto-content .talkto-link {
	position: absolute;
	bottom: 32px;
	right: 32px;
	margin: 0;
}

.talkto-list-content-container .talkto-box-link .talkto-content .talkto-link i::before {
	margin: 0;
	font-weight: normal;
	font-size: 1.5rem;
}




/** talkto grid **/
.talkto-grid .items ul li a.talkto-grid-link {
	background-color: var(--fl-global-bakgrunnsfarge-1);
}

.talkto-grid .items ul li a.talkto-grid-link .talkto-grid-content .talkto-grid-terms span {
	background-color: var(--fl-global-bakgrunnsfarge-2);
}

.talkto-grid .filter ul li a,
.talkto-grid .load-more a {
	padding: 8px 16px;
	border: var(--talkto-button-borderthickness) solid var(--fl-global-knapp-1-rammefarge);
	background-color: var(--fl-global-knapp-1-bakgrunnsfarge);
	color: var(--fl-global-knapp-1-tekstfarge);
	font-size: 1rem;
	cursor: pointer;
	text-decoration: none;
}

.talkto-grid .load-more a:hover,
.talkto-grid .filter ul li a:hover,
.talkto-grid .filter ul li a.selected {
	background-color: var(--fl-global-knapp-1-hover-bakgrunnsfarge);
	color: var(--fl-global-knapp-1-hover-tekstfarge);
}


/** contact form **/

.tt-contact-form .input-block {
	position: relative;
}

.tt-contact-form .elements {
	margin-left: -16px !important;
}

.tt-contact-form .elements > div.section {
	vertical-align: top;
	margin-bottom: 32px;
	padding-left: 16px !important;
}

.tt-contact-form .input-block span.datepicker-arrow {
	position: absolute;
	right: 9px;
	top: 13px;
	z-index: 1;
}

.tt-contact-form input[type="text"],
.tt-contact-form input[type="email"],
.tt-contact-form input[type="tel"],
.tt-contact-form textarea {
	padding: var(--talkto-form-fields-padding);
	background-color: var(--fl-global-skjemafelt-bakgrunnsfarge);
	color: var(--fl-global-skjemafelt-skriftfarge);
	border-color: var(--fl-global-skjemafelt-rammefarge);
	-webkit-border-radius: var(--talkto-form-fields-borderradius);
	-moz-border-radius: var(--talkto-form-fields-borderradius);
	-o-border-radius: var(--talkto-form-fields-borderradius);
	border-radius: var(--talkto-form-fields-borderradius);
}

.tt-contact-form input[type="text"].valid,
.tt-contact-form input[type="email"].valid,
.tt-contact-form input[type="tel"].valid,
.tt-contact-form span.ui-selectmenu-button.valid,
.tt-contact-form textarea.valid {
	border-color: var(--fl-global-skjemafelt-rammefarge) !important;
}

.tt-contact-form input[type="text"].invalid,
.tt-contact-form input[type="email"].invalid,
.tt-contact-form input[type="tel"].invalid,
.tt-contact-form span.ui-selectmenu-button.invalid,
.tt-contact-form textarea.invalid {
	border-color: #b00 !important;
}

.tt-contact-form input[type="checkbox"].invalid + .wpcf7-list-item-label {
	border: 1px solid #b00;
	padding: 8px;
}

.tt-contact-form input[type="submit"] {
	background-color: var(--fl-global-knapp-1-bakgrunnsfarge) !important;
	color: var(--fl-global-knapp-1-tekstfarge) !important;
	border: 1px solid var(--fl-global-knapp-1-rammefarge);
	
	padding: var(--talkto-button-padding);
	
	-webkit-border-radius: var(--talkto-button-borderradius);
	-moz-border-radius: var(--talkto-button-borderradius);
	-o-border-radius: var(--talkto-button-borderradius);
	border-radius: var(--talkto-button-borderradius);
}

.tt-contact-form input[type="submit"]:hover {
	background-color: var(--fl-global-knapp-1-hover-bakgrunnsfarge) !important;
	color: var(--fl-global-knapp-1-hover-tekstfarge) !important;
	border: 1px solid var(--fl-global-knapp-1-hover-rammefarge);
	
	-webkit-transition: var(--talkto-button-transition);
	-moz-transition: var(--talkto-button-transition);
	-o-transition: var(--talkto-button-transition);
	transition: var(--talkto-button-transition);
}

.tt-contact-form input[type="submit"]:focus-visible {
}

.tt-contact-form .wpcf7-acceptance {
	font-size: 14px;
}

.wpcf7-response-output {
	margin: 0 0 32px !important;
	padding: 16px !important;
	text-align: center !important;
}

.tt-contact-form .no-full-width {
	display: inline-block;
}

.tt-contact-form .wpcf7-list-item-label {
	font-size: 1rem;
}

.tt-contact-form .type-radiobuttons .wpcf7-list-item {
	display: block;
	font-size: 1rem;
}

.tt-contact-form .wpcf7-form-control.wpcf7-acceptance label {
	margin-bottom: 0;
}

.tt-contact-form p.tt-msg.error {
	color: #b00 !important;
	position: relative;
}

.tt-contact-form p.tt-msg.error::before {
	content: '';

	display: inline-block;
	
	width: 8px;
	height: 8px;
	margin: 0 5px 2px 0;
	border-radius: 4px;
	
	background-color: #a00;
}

.tt-contact-form .tt-form-checkbox .wpcf7-list-item-label,
.tt-contact-form .tt-form-toggle .wpcf7-list-item-label {
	margin-top: 8px;
}

.tt-contact-form .tt-errors {
	margin: 24px 0 24px;
}

.tt-contact-form .tt-errors p {
	margin: 0;
	line-height: 1.2em;
}

.tt-contact-form .tt-terms {
	font-weight: normal;
	padding-top: 0;
}

.tt-contact-form .input-block.date .clear-date {
	display: block;
	font-size: 0.8rem;
	padding-top: 5px;
	text-align: right;
}


/** contact form - attachments **/
.tt-contact-form-attachment-info,
.tt-contact-form-attachment {
	font-size: 1rem;
}

.tt-contact-form-attachment-more-info {
	font-size: 0.8rem;
}

.tt-contact-form-attachment {
	margin: 16px 0;
}

.tt-contact-form-attachment input {
	width: 100%;
}

.tt-contact-form-attachment .wpcf7-form-control-wrap {
	display: block;
	background-color: #fff;
	padding: 16px !important;
	border: var(--talkto-form-fields-borderthickness) solid var(--fl-global-skjemafelt-rammefarge);
}

.tt-contact-form-attachment span.remove-attachment {
	display: block;
	padding-top: 5px;
	text-align: right;
	line-height: 1em;
}

.tt-contact-form-attachment span.remove-attachment span {
    font-size: 0.8rem;
	line-height: 1em;
	display: inline;

	cursor: pointer;
}

.tt-contact-form-attachment span.remove-attachment span:hover {
	text-decoration: underline;
}

.tt-contact-form-attachment span.remove-attachment span:focus-visible {
	outline: 2px solid #000;
	outline-offset: 2px;
}

/** contact form - datepicker **/
.ui-datepicker .ui-state-hover {
	border-color: #000;
}

.ui-datepicker .ui-datepicker-header {
	border: 0;
	background-color: var(--fl-global-bakgrunnsfarge-1);
}

.ui-datepicker .ui-state-default {
	background-color: var(--fl-global-bakgrunnsfarge-1);
}

.ui-datepicker .ui-state-hover,
.ui-datepicker .ui-state-active {
	background-color: var(--fl-global-bakgrunnsfarge-1);
}

.ui-datepicker .ui-state-active {
	border: var(--talkto-form-fields-datepicker-selected-day-border) !important;
	color: var(--talkto-form-fields-datepicker-selected-day-color) !important;
	font-weight: bold !important;
}

.ui-datepicker .ui-datepicker-days-cell-over {
	outline: 1px solid var(--fl-global-skjemafelt-rammefarge);
}

.ui-datepicker .ui-datepicker-prev, 
.ui-datepicker .ui-datepicker-next {
	width: 2em;
	height: 2em;
}

.ui-datepicker .ui-datepicker-prev-hover {
	left: 2px;
	top: 2px;
	background-color: transparent !important;
	border: 1px solid #000;
}

.ui-datepicker .ui-datepicker-next-hover {
	right: 2px;
	top: 2px;
	background-color: transparent !important;
	border: 1px solid #000;
}

.ui-datepicker .ui-datepicker-calendar td a.ui-state-default {
	background-color: var(--fl-global-bakgrunnsfarge-1);
	border: var(--talkto-form-fields-datepicker-day-border);
}

/** contact form - selectmenu **/
.ui-selectmenu-button.ui-button {
	padding: var(--talkto-form-fields-padding);
	background: var(--fl-global-skjemafelt-bakgrunnsfarge);
	border-color: var(--fl-global-skjemafelt-rammefarge);
	-webkit-border-radius: var(--talkto-form-fields-borderradius);
	-moz-border-radius: var(--talkto-form-fields-borderradius);
	-o-border-radius: var(--talkto-form-fields-borderradius);
	border-radius: var(--talkto-form-fields-borderradius);
	
	color: var(--fl-global-skjemafelt-skriftfarge);
}

.ui-selectmenu-button.ui-button:active,
.ui-selectmenu-button.ui-button:focus,
.ui-selectmenu-button.ui-button:focus-visible,
.ui-selectmenu-button.ui-button:hover {
	outline-offset: 4px;
	border-color: var(--fl-global-skjemafelt-rammefarge);
	background: var(--fl-global-skjemafelt-bakgrunnsfarge);
	color: var(--fl-global-skjemafelt-skriftfarge);
}

.ui-selectmenu-menu ul.ui-menu {
	background: var(--fl-global-skjemafelt-bakgrunnsfarge);
	border: var(--talkto-form-fields-borderthickness) solid var(--fl-global-skjemafelt-rammefarge);
	
	margin-top: -1px !important;
	border: var(--talkto-form-fields-borderthickness) solid var(--fl-global-skjemafelt-rammefarge);
	
	max-height: 400px !important;
}

.ui-icon {
	background-image: url('/wp-content/plugins/talkto/images/ui-icons_444444_256x240.png') !important;
}

.ui-selectmenu-menu .ui-menu .ui-menu-item-wrapper {
	padding: var(--talkto-form-fields-padding);
}

.ui-selectmenu-menu .ui-menu .ui-menu-item {
	font-size: 1rem;
}

.ui-selectmenu-menu .ui-state-active, 
.ui-selectmenu-menu .ui-widget-content .ui-state-active {
	background: var(--fl-global-skjemafelt-bakgrunnsfarge-for-valgt-element);
	color: var(--fl-global-skjemafelt-skriftfarge-for-valgt-element);
	border-color: transparent;
	font-weight: bold;
}



@media screen and (max-width: 992px) {
	/** content grids **/
	.talkto-list-content-container .talkto-box-link .talkto-box.talkto-image img {
		height: 30vw;
	}

}
@media screen and (max-width: 768px) {
	.fl-module-button .fl-button {
		display: block !important;
	}
	
	.fl-builder-content .fl-button-group.fl-button-group-buttons .fl-button-group-button {
		padding: 0 0 20px !important;
		width: 100%
	}

	.fl-builder-content .fl-button-group.fl-button-group-buttons .fl-button-group-button .fl-button-wrap {
		display: block;
	}
	
	/** content grids **/
	.talkto-list-content-container .talkto-box-link .talkto-box.talkto-image img {
		height: 65vw;
	}
	
	.talkto-list-content-container .talkto-box-link .talkto-content .talkto-heading,
	.talkto-list-content-container .talkto-box-link .talkto-content .talkto-date,
	.talkto-list-content-container .talkto-box-link .talkto-content .talkto-meta,
	.talkto-list-content-container .talkto-box-link .talkto-content .talkto-terms,
	.talkto-list-content-container .talkto-box-link .talkto-content .talkto-readmore,
	.talkto-list-content-container .talkto-box-link .talkto-content .talkto-excerpt {
		padding-left: 16px;
		padding-right: 16px;
	}
	
}

